Courses and course formats

Including both standard and add-on course formats.

Documentation: Course formats and Course FAQ
Forum help: Courses and course formats forum help
Plugins directory: Category: Course formats
Forum moderators: A. T. Wyatt and Gareth J Barnard

If you want people to be able to give you more useful answers, please include the following information in your post:

  • Course format and version
  • Moodle version
  • Theme you are using (and version)
  • Browser and version

Please see Moodle.org courses and course formats forum help for more details.


Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 ()
DiscussionStarted byRepliesLast post
Sub sections option Picture of Rob Lee Rob Lee 1 Hartmut Scherer
Thu, May 5, 2016, 2:58 PM
Section/Topic 0 does not display for students Picture of Karikalan Kumaresan Karikalan Kumaresan 2 Karikalan Kumaresan
Mon, May 2, 2016, 3:39 PM
after installing essential theme 3 Course are not shown @ dashboard Picture of Anklesh Vishwakarma Anklesh Vishwakarma 2 Mary Cooch
Sat, Apr 30, 2016, 11:32 PM
Custom Menu in Theme Settings Picture of andy taggart andy taggart 3 Gareth J Barnard
Sat, Apr 30, 2016, 12:55 AM
Grid Format and restrict access to activities problem Picture of Mary-Anne Camillo Mary-Anne Camillo 8 Mary-Anne Camillo
Fri, Apr 29, 2016, 12:21 PM
Problem with course "can not modify my activities and ressources while editing mode is on" Picture of AAMOU YASSINE AAMOU YASSINE 3 AAMOU YASSINE
Fri, Apr 29, 2016, 8:09 AM
Sesskey error when restoring commercial course content Picture of Nick Hodder Nick Hodder 10 RabNawaz Panhyar
Mon, Apr 25, 2016, 2:12 PM
Trouble with courses Picture of Antoine Marandin Antoine Marandin 3 Gareth J Barnard
Fri, Apr 22, 2016, 6:07 PM
opening coursesection in new window Picture of Steffen Riek Steffen Riek 4 Steffen Riek
Wed, Apr 20, 2016, 10:21 PM
GRID FORMAT --> Remove section-0 from single section page Picture of Samuel Richardson Samuel Richardson 2 Samuel Richardson
Mon, Apr 18, 2016, 7:42 PM
A way to get rid of the Debug message in Grid Format: Picture of John Provasnik John Provasnik 4 Gareth J Barnard
Sun, Apr 17, 2016, 2:20 AM
Course in multiple categories Picture of Ger Tielemans Ger Tielemans 8 Ger Tielemans
Fri, Apr 15, 2016, 9:50 PM
Default activities for newly created courses Yes, that's me Flotter Totte 13 Flotter Totte
Fri, Apr 15, 2016, 8:38 PM
Course Completion Date Picture of Chih Chang Chih Chang 0 Chih Chang
Tue, Apr 12, 2016, 12:59 AM
Course completion and notifications Picture of Chris Wagner Chris Wagner 3 Mahtab Hussain
Fri, Apr 8, 2016, 10:08 AM
Grid format updated for Moodle 2.9 and 3.0. Gareth J Barnard Gareth J Barnard 10 Zuleika Winfrey
Thu, Apr 7, 2016, 2:51 PM
Can we show categories and list enrolled courses on front page Picture of Pralad Dessai Pralad Dessai 4 Nichole White
Tue, Apr 5, 2016, 11:53 PM
Error Message - No longer have access to a course Picture of Kelly Wilcox Kelly Wilcox 1 Emma Richardson
Sun, Mar 27, 2016, 7:44 PM
Course Completion Criteria is there an OR Picture of David Boggs David Boggs 0 David Boggs
Fri, Mar 18, 2016, 7:45 AM
Collapsed Topics Format - Topic State Not Persisted Picture of Robert Northcutt Robert Northcutt 10 Just H
Sat, Mar 12, 2016, 10:14 PM
Moodle Socialwall Course Format Official Release and Download Picture of Chris Kenniburg Chris Kenniburg 72 Dan Jeffries
Fri, Mar 11, 2016, 6:44 PM
Stable Columns and Noticeboard formats released for M3.0 Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Thu, Mar 10, 2016, 1:15 AM
Removing student from course completion report Picture of Andy White Andy White 0 Andy White
Wed, Mar 9, 2016, 7:35 PM
Captivate project with no quiz Picture of C Sand C Sand 2 C Sand
Tue, Mar 8, 2016, 8:27 PM
Where are "Server files\System" files stored Picture of C Sand C Sand 11 Gareth J Barnard
Tue, Mar 8, 2016, 6:28 AM
Course Formats - list of courses using each format Picture of Ellen Reisinger Ellen Reisinger 0 Ellen Reisinger
Mon, Mar 7, 2016, 12:51 PM
Importing Activities/Resources to Multiple Courses Picture of Scott Bingham Scott Bingham 0 Scott Bingham
Mon, Mar 7, 2016, 10:09 AM
Place course summary in a separate block Picture of Brian Brown Brian Brown 2 Brian Brown
Sat, Mar 5, 2016, 3:05 AM
Can't dublicate course activities Picture of Mārtiņš Ķīsis Mārtiņš Ķīsis 7 Emma Richardson
Fri, Mar 4, 2016, 11:57 PM
Collapsed Topics on moodle 3 Picture of lebo sekele lebo sekele 2 lebo sekele
Fri, Mar 4, 2016, 4:52 PM
Collapsed Topics updated for Moodle 2.7 - 3.0. Gareth J Barnard Gareth J Barnard 2 Gareth J Barnard
Fri, Mar 4, 2016, 4:39 AM
Course completion status is not updating Picture of Mārtiņš Ķīsis Mārtiņš Ķīsis 2 Mārtiņš Ķīsis
Fri, Feb 26, 2016, 9:42 PM
Collapsed topics settings do not show (for some users) Picture of Howard Miller Howard Miller 4 Gareth J Barnard
Fri, Feb 26, 2016, 12:53 AM
Assign multiple users 'Teacher' role to all courses Picture of Theo Yianni Theo Yianni 3 Helen Foster
Thu, Feb 25, 2016, 2:49 AM
Topics format - Activity Count & Progress shows only when closed Picture of John Provasnik John Provasnik 1 Gareth J Barnard
Mon, Feb 22, 2016, 1:51 AM
Server 500 Error Grid Format Plugin Picture of Denise Yarrison Denise Yarrison 3 Gareth J Barnard
Sat, Feb 20, 2016, 7:54 AM
Grid format updated for Moodle 3.0 Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Sat, Feb 20, 2016, 2:07 AM
Adding an Icon to Topics (section names) Picture of Ashutosh Bhardwaj Ashutosh Bhardwaj 9 Soizic POILVE
Thu, Feb 18, 2016, 3:15 PM
Socialwall Format not working on Moodle Mobile Don Wooldridge Don Wooldridge 3 Chris Kenniburg
Wed, Feb 17, 2016, 9:26 PM
Grid Format - Hiding Introduction Picture of Andy Chaplin Andy Chaplin 11 Andy Chaplin
Wed, Feb 17, 2016, 12:40 AM
Displaying links and images conditionally on course page without using labels Picture of James Addoms James Addoms 4 Lou K
Mon, Feb 15, 2016, 8:37 PM
Course Completion Reports No Longer Accurate Picture of Devon Ritter Devon Ritter 2 Devon Ritter
Fri, Feb 12, 2016, 3:33 AM
course completion Condition Picture of michael michael michael michael 0 michael michael
Thu, Feb 11, 2016, 5:27 PM
Removing an element from Grid Format Picture of Andy Chaplin Andy Chaplin 2 Andy Chaplin
Thu, Feb 11, 2016, 12:47 AM
how hide form selection and chose defaut selection mon site moodle pédagogique stephane lcms.fr 2 Gareth J Barnard
Wed, Feb 10, 2016, 8:57 PM
Labels with tabs Dominique Bauer Dominique Bauer 2 Dominique Bauer
Tue, Feb 9, 2016, 2:09 AM
Activity Resource ebook formats Picture of Cara Segers Cara Segers 1 A. T. Wyatt
Sun, Feb 7, 2016, 1:51 AM
Add custom(extra) field to edit category edit settings. Picture of sarendar vennapureddy sarendar vennapureddy 0 sarendar vennapureddy
Sat, Feb 6, 2016, 5:49 AM
Grid format updated for M2.9 and M3.0 Gareth J Barnard Gareth J Barnard 1 Gareth J Barnard
Sat, Feb 6, 2016, 1:41 AM
Moving a course from Blackboard to Moodle Picture of Amanda Rauls Amanda Rauls 1 Rick Jerz
Fri, Feb 5, 2016, 4:29 AM
Dependency check failure after installing flexpage on moodle 2.8 Picture of Njoroge Kimani Njoroge Kimani 1 Richard Oelmann
Fri, Feb 5, 2016, 3:57 AM
Socialwall - Changing Notification Settings and Automatic Page Refresh Picture of Andrew Lian Andrew Lian 2 Chris Kenniburg
Fri, Feb 5, 2016, 2:57 AM
Missing All Courses in Students' Navigation - Moodle 2.9.3 Picture of Dave Emsley Dave Emsley 2 Dave Emsley
Thu, Feb 4, 2016, 5:05 PM
Import course - guest access not copied Picture of Rainer Schaufelberger Rainer Schaufelberger 0 Rainer Schaufelberger
Wed, Feb 3, 2016, 7:06 PM
Allow students to create groups and invite others to join Picture of Sidd Lep Sidd Lep 1 Hartmut Scherer
Sat, Jan 30, 2016, 11:35 AM
A course freeze flag as mentioned by Martin D Picture of Marcus Green Marcus Green 1 Marcus Green
Wed, Jan 27, 2016, 10:20 PM
How to bulk delete access restrictions Picture of Miki Alliel Miki Alliel 0 Miki Alliel
Tue, Jan 26, 2016, 6:04 PM
Add hover to topic summary when using collapsed topics Picture of Josh D Josh D 1 Gareth J Barnard
Tue, Jan 26, 2016, 2:49 AM
Preventing teachers from moving or hiding blocks in a course Picture of Patricio Marrone Patricio Marrone 2 Patricio Marrone
Sun, Jan 24, 2016, 11:40 AM
Course Completion eMail. Moodle 2.9.3 Picture of Dave Emsley Dave Emsley 1 William Lu
Fri, Jan 22, 2016, 5:39 AM
Topic access restriction based on enrollment date Picture of Heverton Coneglian de Freitas Heverton Coneglian de Freitas 3 Cristian Blanquer
Thu, Jan 21, 2016, 6:51 PM
Grid Format (2.9) IE Mouse Pointer doesn't change on section select.. Picture of Chris Chapman Chris Chapman 1 Gareth J Barnard
Thu, Jan 21, 2016, 2:00 AM
Fastest way to tidy a 'well loved' course with Backup & Restore? Work Photo 2014 Carol Booth 0 Carol Booth
Wed, Jan 20, 2016, 6:45 PM
Course progress not working Picture of Trine Michelsen Trine Michelsen 4 Trine Michelsen
Mon, Jan 18, 2016, 7:12 PM
Course Activities/Resources Picture of Peter James Peter James 5 Gareth J Barnard
Fri, Jan 15, 2016, 9:06 PM
Batch upload courses with single activity (SCORM) Picture of Bruno Caillé Bruno Caillé 2 Bruno Caillé
Thu, Jan 14, 2016, 11:31 PM
Editing course availability for each student Picture of Jason Keith Jason Keith 5 Emma Richardson
Thu, Jan 14, 2016, 8:54 PM
New release of Onetopic format, with moodle 2.8+ compatibility que bueno que sabe el café colombiano... David Herney Bernal 3 Dan McGuire
Sat, Jan 9, 2016, 8:08 AM
Duplicate/Copy Courses with UserData? Picture of Joël Schmid Joël Schmid 11 Joël Schmid
Mon, Jan 4, 2016, 4:53 PM
Positioning of Edit Menu/Icons for Activities & Resources, and Topics Picture of Joe Amatrucola Joe Amatrucola 9 Gareth J Barnard
Tue, Dec 29, 2015, 7:28 AM
Noticeboard format beta for M3.0 released. Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Thu, Dec 24, 2015, 9:19 PM
Collapsed Topics for Moodle 3.0 updated Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Tue, Dec 22, 2015, 12:16 AM
Conditional access problem Picture of Rafael Soares Rafael Soares 1 ben reynolds
Sat, Dec 19, 2015, 5:42 AM
Grid Format - Linking to a topic Picture of Laura Brunning Laura Brunning 5 Gareth J Barnard
Wed, Dec 16, 2015, 4:27 AM
Creating groups that are invisible to each others Picture of Mario Gharib Mario Gharib 3 Emma Richardson
Tue, Dec 15, 2015, 8:37 PM
Bulk update # of weeks in courses (Moodle 2.9.1+) Go State! Mike Brinkman 4 Mike Brinkman
Tue, Dec 15, 2015, 12:02 AM
Collapsed Topics for Moodle 2.7 to 3.0 updated. Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Mon, Dec 14, 2015, 12:35 AM
Collapsed Topics v. 2.7.4 (on Moodle 2.7.11+) and courses with orphaned activities sections Picture of Brian Warling Brian Warling 1 Gareth J Barnard
Sat, Dec 12, 2015, 6:20 PM
Create a collapsable topic zero Picture of Josh D Josh D 7 John Provasnik
Tue, Dec 8, 2015, 11:14 PM
Setting number of sections in bulk course upload Picture of Kat Wang Kat Wang 1 Gareth J Barnard
Tue, Dec 8, 2015, 8:29 AM
"GIT"ting Collapsed Topics Picture of Rick Jerz Rick Jerz 5 Rick Jerz
Sun, Dec 6, 2015, 1:26 AM
bug in OOHOO Tab topics Course format Picture of Ger Tielemans Ger Tielemans 6 Derek Chirnside
Sun, Nov 29, 2015, 10:27 AM
Thoughts about Flexsection course format Picture of Carl Hodkinson Carl Hodkinson 4 Derek Chirnside
Sun, Nov 29, 2015, 10:17 AM
Help - course completion tracking Picture of Vijay Shrinivas Vijay Shrinivas 4 Vijay Shrinivas
Wed, Nov 25, 2015, 2:39 PM
SCORM configuration Ricardo Ricardo Groiso 0 Ricardo Groiso
Tue, Nov 24, 2015, 9:44 PM
Floating start date with weekly format Picture of admin admin admin admin 3 admin admin
Mon, Nov 23, 2015, 11:38 AM
Collapsed Topics and Grid format updated Gareth J Barnard Gareth J Barnard 1 Hartmut Scherer
Sun, Nov 22, 2015, 12:12 PM
Grid format plug in and the absence of the light box Picture of Lourenco Azevedo Lourenco Azevedo 4 Lourenco Azevedo
Fri, Nov 20, 2015, 5:12 AM
Cannot move blocks using drag and drop in Collapsed Topics format RT Rajneel Totaram 12 Gareth J Barnard
Fri, Nov 20, 2015, 1:09 AM
Course search results Picture of Tim Doherty Tim Doherty 0 Tim Doherty
Thu, Nov 19, 2015, 1:38 AM
Collapsed Topics Edit menu and MDL-42634-28 Picture of Michele Turre Michele Turre 5 Gareth J Barnard
Wed, Nov 18, 2015, 6:42 AM
Collapsed Topics released for M2.9 and M3.0 Gareth J Barnard Gareth J Barnard 0 Gareth J Barnard
Tue, Nov 17, 2015, 6:44 AM
Can't delete courses Picture of Miguel Cetina Miguel Cetina 1 Gareth J Barnard
Sun, Nov 8, 2015, 6:08 AM
Course Completion Criteria display 2.5 & 2.8 Picture of Melanie Scott Melanie Scott 4 Sebastian Wz
Fri, Nov 6, 2015, 9:50 PM
Gird Format and Collapsed Topics Picture of Anant Sahni Anant Sahni 4 Richard Oelmann
Fri, Nov 6, 2015, 8:06 PM
error in course format tab topics Picture of Irith Herman Irith Herman 1 Gareth J Barnard
Fri, Nov 6, 2015, 12:33 AM
Change 'per page' settings for course participants Picture of Gary Ross Gary Ross 3 Mono Lith
Thu, Nov 5, 2015, 12:40 AM
Custom display of activities and mods on course page Picture of Stephen Hooley Stephen Hooley 5 Hector Mongil Montero
Wed, Nov 4, 2015, 1:02 AM
course overview - slow query Picture of Hafriz Azhan Hafriz Azhan 0 Hafriz Azhan
Tue, Nov 3, 2015, 6:45 PM
I am unable see all options on course creation page Picture of shoaib latif shoaib latif 7 shoaib latif
Sun, Nov 1, 2015, 10:34 PM
Page: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 ()